cURL
curl --request PATCH \
--url https://app-api.aide.app/v1/integrations/{id}/contact-sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"objects": {}
}'import requests
url = "https://app-api.aide.app/v1/integrations/{id}/contact-sync"
payload = { "objects": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({objects: {}})
};
fetch('https://app-api.aide.app/v1/integrations/{id}/contact-sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/integrations/{id}/contact-sync",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'objects' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/integrations/{id}/contact-sync"
payload := strings.NewReader("{\n \"objects\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app-api.aide.app/v1/integrations/{id}/contact-sync")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"objects\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/integrations/{id}/contact-sync")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"objects\": {}\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "contact_sync",
"status": "failing",
"lastSyncedAt": "<string>",
"error": {
"object": "Account",
"kind": "forbidden",
"field": "<string>"
},
"objects": {
"Contact": {
"enabled": true,
"fields": [
{
"name": "<string>",
"ai": true,
"label": "<string>"
}
],
"externalIdField": "<string>",
"records": 123,
"lastFullSyncAt": "<string>"
},
"Lead": {
"enabled": true,
"fields": [
{
"name": "<string>",
"ai": true,
"label": "<string>"
}
],
"externalIdField": "<string>",
"records": 123,
"lastFullSyncAt": "<string>"
},
"Account": {
"enabled": true,
"fields": [
{
"name": "<string>",
"ai": true,
"label": "<string>"
}
],
"externalIdField": "<string>",
"records": 123,
"lastFullSyncAt": "<string>",
"emailField": "<string>",
"phoneField": "<string>"
}
},
"limitedAccess": true
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}ContactSync
Patch v1integrations contact sync
PATCH
/
v1
/
integrations
/
{id}
/
contact-sync
cURL
curl --request PATCH \
--url https://app-api.aide.app/v1/integrations/{id}/contact-sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"objects": {}
}'import requests
url = "https://app-api.aide.app/v1/integrations/{id}/contact-sync"
payload = { "objects": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({objects: {}})
};
fetch('https://app-api.aide.app/v1/integrations/{id}/contact-sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/integrations/{id}/contact-sync",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'objects' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/integrations/{id}/contact-sync"
payload := strings.NewReader("{\n \"objects\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app-api.aide.app/v1/integrations/{id}/contact-sync")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"objects\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/integrations/{id}/contact-sync")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"objects\": {}\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "contact_sync",
"status": "failing",
"lastSyncedAt": "<string>",
"error": {
"object": "Account",
"kind": "forbidden",
"field": "<string>"
},
"objects": {
"Contact": {
"enabled": true,
"fields": [
{
"name": "<string>",
"ai": true,
"label": "<string>"
}
],
"externalIdField": "<string>",
"records": 123,
"lastFullSyncAt": "<string>"
},
"Lead": {
"enabled": true,
"fields": [
{
"name": "<string>",
"ai": true,
"label": "<string>"
}
],
"externalIdField": "<string>",
"records": 123,
"lastFullSyncAt": "<string>"
},
"Account": {
"enabled": true,
"fields": [
{
"name": "<string>",
"ai": true,
"label": "<string>"
}
],
"externalIdField": "<string>",
"records": 123,
"lastFullSyncAt": "<string>",
"emailField": "<string>",
"phoneField": "<string>"
}
},
"limitedAccess": true
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}